<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ 'Military.Battles.HistoryBattles' | translate }} </nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<div style="min-height: 200px;">
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">

    <div style="text-align: center" *ngIf="list && list.length === 0">
      <!--  <i class="fas fa-dove fa-5x"></i> -->
      <img src="../../../../assets/img/icons/peace.d.png" style="width: 10%;">
      <div style="margin-top: 20px">{{ "Military.Wars.NoBattles" | translate }}</div>
    </div>

    <nz-table *ngIf="list" #warsTable nzHideOnSinglePage nzFrontPagination="false" [nzData]="list"
      style="overflow-x: auto; white-space: nowrap" nzSize="small" [nzLoading]="isLoading" [(nzPageIndex)]="pageIndex"
      [(nzPageSize)]="pageSize" (nzPageIndexChange)="load()" (nzPageSizeChange)="load()" [nzTotal]="total">
      <thead>
        <tr>
          <th nzAlign="center"></th>
          <th nzAlign="center">{{ 'Military.Battles.Attacker' | translate }}</th>
          <th nzAlign="center">{{ 'Military.Battles.Defender' | translate }}</th>
          <th nzAlign="center">{{ 'Military.Battles.Region' | translate }}</th>
          <th nzAlign="center">{{ 'Military.Battles.Wall' | translate }}</th>
          <th nzAlign="center">{{ 'Military.Battles.Winner' | translate }}</th>
          <th nzAlign="center">{{ 'Military.Battles.endedOnDay' | translate }}</th>
          <th nzAlign="center"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of warsTable.data" style="text-align: center;">
          <td nzAlign="center">
            <button nz-button nzShape="round" nzType="default" [routerLink]="['/battle', item.id]" nzSize="small"
              [nz-tooltip]="'Military.Battles.viewBattle' | translate">
              <span nz-icon nzType="eye" nzTheme="outline"></span>
            </button>
          </td>
          <td>
            <a [routerLink]="['/country', item.attackerCountry?.id]">
              <img [src]="item.attackerCountry?.flagLocation" width="30" height="23" style="margin-right: 10px" />
              {{ item.attackerCountry?.name | translate }}
            </a>
          </td>
          <td>
            <a [routerLink]="['/country', item.defenderCountry?.id]">
              <img [src]="item.defenderCountry?.flagLocation" width="30" height="23" style="margin-right: 10px" />
              {{ item.defenderCountry?.name | translate }}
            </a>
          </td>
          <td>
            <a [routerLink]="['/region', item.region?.id]">
              {{ item.region?.name }}
            </a>
          </td>
          <td>
            <nz-tag [nzColor]="item?.wallSize < 0 ? 'red' : 'green'">
              {{ item?.wallSize }}/{{ item?.startingWallSize }}
            </nz-tag>
          </td>
          <td>
            <a [routerLink]="['/country', item.winnerCountry?.id]">
              <img [src]="item.winnerCountry?.flagLocation" width="30" height="23" style="margin-right: 10px" />
            </a>
          </td>
          <td>
            {{ item.endGameDay }}
          </td>
          <td>
            <nz-tag nzColor="orange" *ngIf="item.isCivilWar">{{ 'Military.Battles.civilWar' | translate }}</nz-tag>
            <nz-tag nzColor="orange" *ngIf="item.isResistance">{{ 'Military.Battles.Resistance' | translate }}</nz-tag>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </nz-spin>
</div>
